{% extends 'base.html.twig' %}

{% block title %}Liste Utilisateur{% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}
    <td>
        <a>
            <button class="btn btn-success btn_new_user" url="{{ path('user_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter Utilisateur"> Ajouter</span></button>
        </a></td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Utilisateurs </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Login</th>
                    <th>Roles</th>
                    {#<th>IsActive</th>#}
                    <th>Prenom</th>
                    <th>Nom</th>
                    <th>CreatedAt</th>
                    {#<th>ModifiedAt</th>#}
                    <th>Email</th>
                    <th>Etat</th>
                    <th>Action</th>


                </tr>
                </thead>
                <tbody>
                {% for user in users %}
                    <tr>

                        <td>{{ user.username }}</td>
                        <td>{{ user.roles ? user.roles|json_encode : '' }}</td>
                       {# <td>{{ user.isActive ? 'Yes' : 'No' }}</td>#}
                        <td>{{ user.firstname }}</td>
                        <td>{{ user.lastname }}</td>
                        <td>{{ user.createdAt ? user.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                        {#<td>{{ user.modifiedAt ? user.modifiedAt|date('Y-m-d H:i:s') : '' }}</td>#}
                        <td>{{ user.email }}</td>
                        <td url="{{ path('edit_user') }}" id_us="{{ user.id }}">
                            <div >
                                {% if user.isActive %}
                                    <span class="label label-success etat_user" etat="1">actif</span>
                                {% else %}
                                    <span class="label label-danger etat_user" etat="0">inactif</span>
                                {% endif %}
                            </div>
                            <img src="{{ asset('images/loading.svg') }}" class="loading_etat">
                        </td>

                        <td>
                            <a>
                                <button class="btn btn-primary btn_info_user"
                                        url="{{ path('user_show', {'id': user.id}) }}"><span
                                            class="glyphicon glyphicon-info-sign" title="Détail"></span></button>
                            </a>

                            <a>
                                <button class="btn btn-success btn_edit_user"
                                        url="{{ path('user_edit', {'id': user.id}) }}"><span
                                            class="glyphicon glyphicon-pencil" title="Modifier Utilisateur"></span>
                                </button>
                            </a>
                        </td>

                        {#<td> {{ include('user/_delete_form.html.twig') }}</td>#}
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="11">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

            <div align='center' class="navigation">
                {{ knp_pagination_render(users) }}
            </div>
            {#fenetre modale #}

            <div class="modal fade" id="modalUser" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_user"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_user', function (event) {
            $('#modalUser').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_user').html('Ajouter nouvel utilisateur');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_user', function (event) {
            $('#modalUser').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_user').html('Modifier utilisateur');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_user', function (event) {
            $('#modalUser').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_user').html('Info utilisateur');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });


        $('body').on('click', '.save_user', function (event) {

            var form = $('#form_add_user');
            var formData = new FormData(document.getElementById("form_add_user"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_user').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalUser').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_user', function (event) {

            var form = $('#form_add_user');
            var formData = new FormData(document.getElementById("form_add_user"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_user').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalUser').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.etat_user', function () {

            var td = $(this).parent('div').parent('td');
            var div = $(this).parent('div');
            td.children('img').show();
            var id_us = td.attr('id_us');
            var etat = $(this).attr('etat');
            var url = td.attr('url');
            $.ajax({
                url: url,
                type: 'POST',
                data: 'id_us=' + id_us + '&etat=' + etat,
                success: function (result) {
                    td.children('img').hide();
                    if (etat == 0) {
                        div.html('<span class="label label-success etat_user" etat="1">actif</span>');
                    } else {
                        div.html('<span class="label label-danger etat_user" etat="0">inactif</span>');
                        $('#surv_' + id_us).html('<span class="label label-danger etat_user" etat="0">inactif</span>');
                    }
                }
            });
        })

    </script>

{% endblock %}